---
title: "danog\\AsyncOrm\\DbArrayBuilder: Contains configuration needed to build a DbArray."
description: ""

---
# `danog\AsyncOrm\DbArrayBuilder`
[Back to index](../../index.md)

> Author: Daniil Gentili <daniil@daniil.it>  
> Author: Alexander Pankratov <alexander@i-c-a.su>  
  

Contains configuration needed to build a DbArray.  



## Properties
* `$table`: `string` Table name.
* `$settings`: `danog\AsyncOrm\Settings` Settings.
* `$keyType`: `danog\AsyncOrm\KeyType` Key type.
* `$valueType`: `danog\AsyncOrm\ValueType` Value type.

## Method list:
* [`__construct(string $table, \danog\AsyncOrm\Settings $settings, \danog\AsyncOrm\KeyType $keyType, \danog\AsyncOrm\ValueType $valueType)`](#__construct)
* [`build((\danog\AsyncOrm\DbArray<TKey, TValue>|null) $previous = NULL): \danog\AsyncOrm\DbArray<TKey, TValue>`](#build)

## Methods:
### <a name="__construct"></a> `__construct(string $table, \danog\AsyncOrm\Settings $settings, \danog\AsyncOrm\KeyType $keyType, \danog\AsyncOrm\ValueType $valueType)`




Parameters:

* `$table`: `string`   
* `$settings`: `\danog\AsyncOrm\Settings`   
* `$keyType`: `\danog\AsyncOrm\KeyType`   
* `$valueType`: `\danog\AsyncOrm\ValueType`   


#### See also: 
* [`\danog\AsyncOrm\Settings`: Base interface for ORM settings.](../../danog/AsyncOrm/Settings.md)
* [`\danog\AsyncOrm\KeyType`: Specifies the type of keys.](../../danog/AsyncOrm/KeyType.md)
* [`\danog\AsyncOrm\ValueType`: Specifies the serializer to use when saving values.](../../danog/AsyncOrm/ValueType.md)




### <a name="build"></a> `build((\danog\AsyncOrm\DbArray<TKey, TValue>|null) $previous = NULL): \danog\AsyncOrm\DbArray<TKey, TValue>`

Build database array.


Parameters:

* `$previous`: `(\danog\AsyncOrm\DbArray<TKey, TValue>|null)`   


#### See also: 
* `TKey`
* `TValue`
* [`\danog\AsyncOrm\DbArray`: DB array interface.](../../danog/AsyncOrm/DbArray.md)




---
Generated by [danog/phpdoc](https://phpdoc.daniil.it)
